get streaming locator.md
Get Streaming Locator
Media API · Streaming Locators
GET https://app.mk.io/api/v1/projects/{project_name}/media/streamingLocators/{locator_name}
Returns a single Streaming Locator for a given project.
RBAC Capability Required: ams.streaminglocator.get
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
locator_name |
string | Yes | — |
Example request
curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/media/streamingLocators/{locator_name}" \
-H "Authorization: Bearer <token>"
Responses
200 — one Streaming Locator
id· string · Optional — Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}name· string · Optional · 1-260 characters · pattern: ^[^'<>%&:?/*+]+$ — The name of the resourceproperties· object · Required — Properties for streaming locatoralternativeMediaId· string · Optional — The alternative media id of the asset used by this streaming locatorassetName· string · Required — The name of the asset used by this streaming locatorcontentId· string · Optional · 1-260 characters — Optional content ID. Only valid when an external key server is used.contentKeys· list of objects · Optional — The content keys used by this streaming locator- Array items (object):
id· string · Required — The id of the content keylabelReferenceInStreamingPolicy· string · Optional — The label reference in the streaming policypolicyName· string · Optional — The name of the policytracks· list of objects · Optional — Not currently supported. The tracks which use this content key- Array items (object):
trackSelections· list of objects · Required — The track selections- Array items (object):
operation· object · Required — The track property comparison operationEqual· string · Required — The track property comparison operationUnknown· string · Required — The track property comparison operation
property· string · Required — The track property to compare againstvalue· string · Required — The track property value.
- Array items (object):
- Array items (object):
type· enum · Optional — The streaming locator content key type- Allowed values:
CommonEncryptionCenc,CommonEncryptionCbcs,EnvelopeEncryption
- Allowed values:
value· string · Optional — The value of the content key
- Array items (object):
defaultContentKeyPolicyName· string · Optional · <=260 characters — The default content key policy name used by this streaming locator.defaultManifestFilename· string · Optional · 1-260 characters · _pattern: ^[A-Za-z0-9 .,()-]+$ — Manifest filename used with streaming endpoints that have urlStyle set to 'Aquila' or 'Unified'. For example: manifest.ism (for MP4 assets), manifest.mpd (for TS assets), index.qfm (for live events)endTime· string · Optional · format: date-time — The end time of the streaming locatorfilters· list of strings · Optional — A list of asset or account filters to apply to the streaming locator.- Array items (string):
provisioningState· enum · Optional — The provisioning state of the streaming locator. Set by the system. One of InProgress, Succeeded, Failed.- Allowed values:
InProgress,Succeeded,Failed
- Allowed values:
resourceState· enum · Optional — The runtime state of the streaming locator. Set by the system.- Allowed values:
Creating,Updating,Deleting,Created,Deleted,Error
- Allowed values:
startTime· string · Optional · format: date-time — The start time of the streaming locatorstreamingLocatorId· string · Optional · 1-260 characters · pattern: ^[^/]+$ — The streaming locator idstreamingPolicyName· string · Required · <=260 characters — The name of the streaming policy used by this streaming locator. You may specify a custom policy by name, or used one of the predefined policies. To get the list of valid policy options use theGET /api/v1/projects/{project_name}/media/streamingPoliciesendpoint.suppressed· boolean · Optional · Defaults to false — Optional configuration for output suppression. A suppressed locator will return a 404 HTTP response to requests, in the same way it would if thestartTimehad not yet been reached. The 404 code can be overridden with a different status code by settingpreAvailabilityStatusCodein a custom catalog in a Streaming Policy.
systemData· object · Optional — Metadata pertaining to creation and last modification of the resource.createdAt· string · Required · format: date-time — The timestamp of resource creation (UTC).createdBy· string · Required — The identity that created the resource.createdByType· enum · Required — The type of identity that created the resource.- Allowed values:
User,Application,ManagedIdentity,Key
- Allowed values:
internalId· string · Required · format: uuid — The internal ID of the resource.lastModifiedAt· string · Required · format: date-time — The timestamp of resource last modification (UTC).lastModifiedBy· string · Required — The identity that last modified the resource.lastModifiedByType· enum · Required — The type of identity that last modified the resource.- Allowed values:
User,Application,ManagedIdentity,Key
- Allowed values:
type· string · Optional — The type of the resource. E.g. "Microsoft.Media/mediaservices/assets"
Example:
{
"id": "string",
"name": "name",
"properties": {
"alternativeMediaId": "string",
"assetName": "string",
"contentId": "string",
"contentKeys": [
{
"id": "string",
"labelReferenceInStreamingPolicy": "string",
"policyName": "string",
"tracks": [
{
"trackSelections": [
{
"operation": {
"Equal": "string",
"Unknown": "string"
},
"property": "string",
"value": "string"
}
]
}
],
"type": "CommonEncryptionCenc",
"value": "string"
}
],
"defaultContentKeyPolicyName": "string",
"defaultManifestFilename": "string",
"endTime": "2024-01-01T00:00:00Z",
"filters": [
"string"
],
"provisioningState": "InProgress",
"resourceState": "Creating",
"startTime": "2024-01-01T00:00:00Z",
"streamingLocatorId": "00000000-0000-0000-0000-000000000000",
"streamingPolicyName": "string",
"suppressed": false
},
"systemData": {
"createdAt": "2024-01-01T00:00:00Z",
"createdBy": "string",
"createdByType": "User",
"internalId": "00000000-0000-0000-0000-000000000000",
"lastModifiedAt": "2024-01-01T00:00:00Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
},
"type": "string"
}
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
Source spec: media-api · operationId: [get]_/api/v1/projects/{project_name}/media/streamingLocators/{locator_name}